<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="lionheart.armory.deepdive.mybatis.mapper.SysUserMapper">


    <insert id="insert" parameterType="lionheart.armory.deepdive.mybatis.model.SysUserModel" keyProperty="id" useGeneratedKeys="true">
        insert into public.sys_user
            (user_id, user_name)
        values
            (#{userId, jdbcType=BIGINT},#{userName, jdbcType=VARCHAR})
    </insert>

</mapper>
